## net.sourceforge.pmd.symboltable
Class VariableUsageFinderFunction

    java.lang.Object
      net.sourceforge.pmd.symboltable.VariableUsageFinderFunction

All Implemented Interfaces:
  UnaryFunction

public class VariableUsageFinderFunction
extends java.lang.Object
implements UnaryFunction

Constructor Summary
`VariableUsageFinderFunction(java.util.Map decls)`

Method Summary
`void` `applyTo(java.lang.Object o)`
`java.util.Map` `getUsed()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableUsageFinderFunction

    public VariableUsageFinderFunction(java.util.Map decls)

Method Detail

### applyTo

    public void applyTo(java.lang.Object o)

  Specified by:
    `applyTo` in interface `UnaryFunction`

### getUsed

    public java.util.Map getUsed()

Copyright © 2002-2006 InfoEther. All Rights Reserved.